Bug 591507 - Cannot install RHEL6 via TFTP (AIX)
Cannot install RHEL6 via TFTP (AIX)
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: yaboot (Show other bugs)
6.0
ppc64 Linux
low Severity medium
: rc
: ---
Assigned To: Roman Rakus
Release Test Team
:
Depends On:
Blocks: 613929
  Show dependency treegraph
 
Reported: 2010-05-12 08:42 EDT by christoph.buchmann
Modified: 2014-01-12 19:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 613929 (view as bug list)
Environment:
Last Closed: 2010-05-13 13:53:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description christoph.buchmann 2010-05-12 08:42:03 EDT
Description of problem:
Network installation of RHEL6 via a tftp-server (AIX 6.1 TL4 SP3) on an IBM 9117-MMA fails. The ppc64.img will be loaded, but then the system stops. 

Version-Release number of selected component (if applicable):
RHEL 6 beta

How reproducible:
always

Steps to Reproduce:
1. On tftp-server copy the ppc64.img file to /tftpboot/
2. add  following entry to /etc/bootptab: 
   p6b:bf=/tftpboot/ppc64.img:ip=10.100.201.177:ht=ethernet:sa=10.100.201.4:sm=255.255.255.0
3. Select correct ethernet adapter as boot device in SMS
  
Actual results:
Error message saying 'No Operating Systems Installed'

Expected results:
Pre-system boot asking me for installation source

Additional info:
LPAR in an IBM Power 6 machine. I actually saw this behaviour already with FC12

IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM
IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM
IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM
IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM
IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM
IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM
IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM
IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM
IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM
IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM
IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM
IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM
IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM
IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM
IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM
IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM
IBM IBM IBM IBM IBM IBM                             IBM IBM IBM IBM IBM IBM
IBM IBM IBM IBM IBM IBM     STARTING SOFTWARE       IBM IBM IBM IBM IBM IBM
IBM IBM IBM IBM IBM IBM        PLEASE WAIT...       IBM IBM IBM IBM IBM IBM
IBM IBM IBM IBM IBM IBM                             IBM IBM IBM IBM IBM IBM
IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM
IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM
IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM
IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM
IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM
IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM
IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM
IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM
IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM
IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM
IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM







TFTP BOOT ---------------------------------------------------
Server IP.....................10.100.201.4
Client IP.....................10.100.201.177
Gateway IP....................10.100.201.4
Subnet Mask...................255.255.255.0
( 1  ) Filename................./tftpboot/ppc64.img
TFTP Retries..................5
Block Size....................512
FINAL FILE SIZE = 12566528  BYTES










                      .----------------------------------.
                      |  No Operating Systems Installed  |
                      `----------------------------------'
Comment 2 RHEL Product and Program Management 2010-05-12 10:36:14 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 3 Roman Rakus 2010-05-13 13:49:59 EDT
Can you please checkout cobbler? See https://fedorahosted.org/cobbler/wiki/PowerPc
Comment 4 Roman Rakus 2010-05-13 13:53:56 EDT
At the least, you shouldn't boot linux kernel directly from openfirmware. Please follow some guideline; for example http://wiki.ppckernel.org/w/Mac_Netboot
Comment 5 christoph.buchmann 2010-05-14 04:22:30 EDT
(In reply to comment #4)
> At the least, you shouldn't boot linux kernel directly from openfirmware.
> Please follow some guideline; for example
> http://wiki.ppckernel.org/w/Mac_Netboot    

Here's the guideline I've followed: 
http://www.redbooks.ibm.com/redbooks/SG247940/wwhelp/wwhimpl/js/html/wwhelp.htm
Chapter 4.10.1
and http://www.ibm.com/developerworks/wikis/display/LinuxP/Network+Installation

Worked like a charme for SLES, btw I didn't boot directly from openfirmware, but from SMS. 

Cobbler isn't an alternative if you've an existing AIX-infrastructure and can use NIM.
Comment 6 Roman Rakus 2010-05-14 04:46:09 EDT
I see.
So the bug is not in yaboot, because you are not using it.
Comment 7 christoph.buchmann 2010-05-14 05:03:09 EDT
Correct. 
This is the screenshot of the same LPAR using the ppc64.img of RHEL5.2:

IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM
IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM
IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM
IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM
IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM
IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM
IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM
IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM
IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM
IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM
IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM
IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM
IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM
IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM
IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM
IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM
IBM IBM IBM IBM IBM IBM                             IBM IBM IBM IBM IBM IBM
IBM IBM IBM IBM IBM IBM     STARTING SOFTWARE       IBM IBM IBM IBM IBM IBM
IBM IBM IBM IBM IBM IBM        PLEASE WAIT...       IBM IBM IBM IBM IBM IBM
IBM IBM IBM IBM IBM IBM                             IBM IBM IBM IBM IBM IBM
IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM
IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM
IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM
IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM
IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM
IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM
IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM
IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM
IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM
IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM
IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM







TFTP BOOT ---------------------------------------------------
Server IP.....................10.100.201.4
Client IP.....................10.100.201.177
Gateway IP....................10.100.201.4
Subnet Mask...................255.255.255.0
( 1  ) Filename................./tftpboot/ppc64.img
TFTP Retries..................5
Block Size....................512
FINAL PACKET COUNT = 17851
FINAL FILE SIZE = 9139304  BYTES

Elapsed time since release of system processors: 122249 mins 41 secs

zImage starting: loaded at 0x00300000 (sp: 0x01a3ffe0)
Allocating 0x7429c0 bytes for kernel ...
    trying: 0x01400000
OF version = 'IBM,EM350_038'
    trying: 0x01500000
    trying: 0x01600000
    trying: 0x01700000
    trying: 0x01800000
    trying: 0x01900000
    trying: 0x01a00000
    trying: 0x01b00000
    trying: 0x01c00000
    trying: 0x01d00000
    trying: 0x01e00000
    trying: 0x01f00000
    trying: 0x02000000
    trying: 0x02100000
Allocating 0x68a46e bytes for initrd ...
    trying: 0x02843000
initial ramdisk moving 0x2843000 <- 0x51c175 (0x68a46e bytes)
initrd head: 0x1f8b0800
gunzipping (0x2100000 <- 0x30ad80:0x51c175)...done 0x66a6c0 bytes
... skipping 0x10000 bytes of ELF header
kernel:
        entry addr = 0x2110000
        a1         = 0x2843000,
        a2         = 0x68a46e,
        prom       = 0xc3ba70,
        bi_recs    = 0x0,
OF stdout device is: /vdevice/vty@30000000
Hypertas detected, assuming LPAR !







TFTP BOOT ---------------------------------------------------
Server IP.....................10.100.201.4
Client IP.....................10.100.201.177
Gateway IP....................10.100.201.4
Subnet Mask...................255.255.255.0
( 1  ) Filename................./tftpboot/ppc64.img
TFTP Retries..................5
Block Size....................512
FINAL PACKET COUNT = 17851
FINAL FILE SIZE = 9139304  BYTES

Elapsed time since release of system processors: 122250 mins 14 secs

zImage starting: loaded at 0x00300000 (sp: 0x01afffe0)
Allocating 0x7429c0 bytes for kernel ...
    trying: 0x01400000
OF version = 'IBM,EM350_038'
    trying: 0x01500000
    trying: 0x01600000
    trying: 0x01700000
    trying: 0x01800000
    trying: 0x01900000
    trying: 0x01a00000
    trying: 0x01b00000
    trying: 0x01c00000
    trying: 0x01d00000
    trying: 0x01e00000
    trying: 0x01f00000
    trying: 0x02000000
    trying: 0x02100000
Allocating 0x68a46e bytes for initrd ...
    trying: 0x02843000
initial ramdisk moving 0x2843000 <- 0x51c175 (0x68a46e bytes)
initrd head: 0x1f8b0800
gunzipping (0x2100000 <- 0x30ad80:0x51c175)...done 0x66a6c0 bytes
... skipping 0x10000 bytes of ELF header
kernel:
        entry addr = 0x2110000
        a1         = 0x2843000,
        a2         = 0x68a46e,
        prom       = 0xc3ba70,
        bi_recs    = 0x0,
OF stdout device is: /vdevice/vty@30000000
Hypertas detected, assuming LPAR !
command line:
memory layout at init:
  alloc_bottom : 0000000002ed0000
  alloc_top    : 0000000008000000
  alloc_top_hi : 0000000088000000
  rmo_top      : 0000000008000000
  ram_top      : 0000000088000000
Looking for displays
instantiating rtas at 0x0000000006e10000 ... done
0000000000000000 : boot cpu     0000000000000000
0000000000000002 : starting cpu hw idx 0000000000000002... done
copying OF device tree ...
Building dt strings...
Building dt structure...
Device tree strings 0x0000000002ee0000 -> 0x0000000002ee14f0
Device tree struct  0x0000000002ef0000 -> 0x0000000002f10000
Calling quiesce ...
returning from prom_init
Partition configured for 4 cpus.
Starting Linux PPC64 #1 SMP Tue Apr 29 13:21:29 EDT 2008
-----------------------------------------------------
ppc64_pft_size                = 0x1a
physicalMemorySize            = 0x88000000
ppc64_caches.dcache_line_size = 0x80
ppc64_caches.icache_line_size = 0x80
htab_address                  = 0x0000000000000000
htab_hash_mask                = 0x7ffff
-----------------------------------------------------
Linux version 2.6.18-92.el5 (brewbuilder@js20-bc1-11.build.redhat.com) (gcc version 4.1.2 20071124 (Red Hat 4.1.2-41)) #1 SMP Tue Apr 29 13:21:29 EDT 2008
[boot]0012 Setup Arch
EEH: No capable adapters found
PPC64 nvram contains 15360 bytes
[boot]0015 Setup Done
Built 2 zonelists.  Total pages: 34816
Kernel command line:
[boot]0020 XICS Init
[boot]0021 XICS Done
PID hash table entries: 4096 (order: 12, 32768 bytes)
Using pSeries machine description
Found initrd at 0xc000000002843000:0xc000000002ecd46e
Partition configured for 4 cpus.
Starting Linux PPC64 #1 SMP Tue Apr 29 13:21:29 EDT 2008
-----------------------------------------------------
ppc64_pft_size                = 0x1a
physicalMemorySize            = 0x88000000
ppc64_caches.dcache_line_size = 0x80
ppc64_caches.icache_line_size = 0x80
htab_address                  = 0x0000000000000000
htab_hash_mask                = 0x7ffff
-----------------------------------------------------
Linux version 2.6.18-92.el5 (brewbuilder@js20-bc1-11.build.redhat.com) (gcc version 4.1.2 20071124 (Red Hat 4.1.2-41)) #1 SMP Tue Apr 29 13:21:29 EDT 2008
[boot]0012 Setup Arch
EEH: No capable adapters found
PPC64 nvram contains 15360 bytes
[boot]0015 Setup Done
Built 2 zonelists.  Total pages: 34816
Kernel command line:
[boot]0020 XICS Init
[boot]0021 XICS Done
PID hash table entries: 4096 (order: 12, 32768 bytes)
Console: colour dummy device 80x25
Dentry cache hash table entries: 524288 (order: 6, 4194304 bytes)
Inode-cache hash table entries: 262144 (order: 5, 2097152 bytes)
freeing bootmem node 0
freeing bootmem node 1
Memory: 2186560k/2228224k available (4800k kernel code, 41664k reserved, 1344k data, 842k bss, 320k init)
Security Framework v1.0.0 initialized
SELinux:  Initializing.
selinux_register_security:  Registering secondary module capability
Capability LSM initialized as secondary
Mount-cache hash table entries: 4096
Processor 1 found.
Processor 2 found.
Processor 3 found.
Brought up 4 CPUs
migration_cost=1,1
checking if image is initramfs... it is
Freeing initrd memory: 6697k freed
NET: Registered protocol family 16
No pciex nodes found
No pcix nodes found
usbcore: registered new driver usbfs
usbcore: registered new driver hub
NetLabel: Initializing
NetLabel:  domain hash size = 128
NetLabel:  protocols = UNLABELED CIPSOv4
NetLabel:  unlabeled traffic allowed by default
NET: Registered protocol family 2
IP route cache hash table entries: 32768 (order: 2, 262144 bytes)
TCP established hash table entries: 131072 (order: 5, 2097152 bytes)
TCP bind hash table entries: 65536 (order: 4, 1048576 bytes)
TCP: Hash tables configured (established 131072 bind 65536)
TCP reno registered
IOMMU table initialized, virtual merging enabled
IBM eBus Device Driver
scan-log-dump not implemented on this system
audit: initializing netlink socket (disabled)
audit(1273834773.503:1): initialized
Total HugeTLB memory allocated, 0
VFS: Disk quotas dquot_6.5.1
Dquot-cache hash table entries: 8192 (order 0, 65536 bytes)
Initializing Cryptographic API
ksign: Installing public key data
Loading keyring
- Added public key DAA8D2EFA77BA785
- User ID: Red Hat, Inc. (Kernel Module GPG key)
io scheduler noop registered
io scheduler anticipatory registered
io scheduler deadline registered
io scheduler cfq registered (default)
pci_hotplug: PCI Hot Plug PCI Core version: 0.5
rpaphp: RPA HOT Plug PCI Controller Driver version: 0.1
Generic RTC Driver v1.07
Linux agpgart interface v0.101 (c) Dave Jones
Serial: 8250/16550 driver $Revision: 1.90 $ 4 ports, IRQ sharing enabled
RAMDISK driver initialized: 16 RAM disks of 16384K size 4096 blocksize
Uniform Multi-Platform E-IDE driver Revision: 7.00alpha2
ide: Assuming 50MHz system bus speed for PIO modes; override with idebus=xx
ide-floppy driver 0.99.newide
usbcore: registered new driver hiddev
usbcore: registered new driver usbhid
drivers/usb/input/hid-core.c: v2.6:USB HID core driver
mice: PS/2 mouse device common for all mice
md: md driver 0.90.3 MAX_MD_DEVS=256, MD_SB_DISKS=27
md: bitmap version 4.39
TCP bic registered
Initializing IPsec netlink socket
NET: Registered protocol family 1
NET: Registered protocol family 17
Freeing unused kernel memory: 320k freed

Greetings.
anaconda installer init version 11.1.2.113 starting
mounting /proc filesystem... done
creating /dev filesystem... done
mounting /dev/pts (unix98 pty) filesystem... done
mounting /sys filesystem... done
anaconda installer init version 11.1.2.113 using /dev/hvc0 as console
trying to remount root filesystem read write... done
mounting /tmp as ramfs... done
running install...
running /sbin/loader

Welcome to Red Hat Enterprise Linux Server

                   ┌─────────┤ Choose a Language ├─────────┐
                   │                                       │
                   │ What language would you like to use   │
                   │ during the installation process?      │
                   │                                       │
                   │       Catalan                ↑        │
                   │       Chinese(Simplified)    ▒        │
                   │       Chinese(Traditional)   ▮        │
                   │       Croatian               ▒        │
                   │       Czech                  ▒        │
                   │       Danish                 ▒        │
                   │       Dutch                  ▒        │
                   │       English                ↓        │
                   │                                       │
                   │                ┌────┐                 │
                   │                │ OK │                 │
                   │                └────┘                 │
                   │                                       │
                   │                                       │
                   └───────────────────────────────────────┘

  <Tab>/<Alt-Tab> between elements  | <Space> selects | <F12> next screen

Note You need to log in before you can comment on or make changes to this bug.